Index: demo/coloring.cc
===================================================================
--- demo/coloring.cc	(revision 2115)
+++ demo/coloring.cc	(revision 2116)
@@ -30,5 +30,5 @@
 #include <iostream>
 
-#include <lemon/smart_ugraph.h>
+#include <lemon/smart_graph.h>
 #include <lemon/bucket_heap.h>
 #include <lemon/graph_reader.h>
Index: demo/strongly_connected_orientation.cc
===================================================================
--- demo/strongly_connected_orientation.cc	(revision 2115)
+++ demo/strongly_connected_orientation.cc	(revision 2116)
@@ -19,5 +19,5 @@
 #include <iostream>
 
-#include <lemon/smart_ugraph.h>
+#include <lemon/smart_graph.h>
 #include <lemon/graph_reader.h>
 #include <lemon/ugraph_adaptor.h>
Index: demo/topology_demo.cc
===================================================================
--- demo/topology_demo.cc	(revision 2115)
+++ demo/topology_demo.cc	(revision 2116)
@@ -18,5 +18,4 @@
 
 #include <lemon/list_graph.h>
-#include <lemon/list_ugraph.h>
 #include <lemon/topology.h>
 #include <lemon/graph_to_eps.h>
Index: doc/graphs.dox
===================================================================
--- doc/graphs.dox	(revision 2115)
+++ doc/graphs.dox	(revision 2116)
@@ -10,18 +10,18 @@
 provide a node list - edge list interface, i.e. they have
 functionalities to list the nodes and the edges of the graph as well
-as  incoming and outgoing edges of a given node. This functionalities
-are defined in the \ref lemon::concept::Graph "Graph" concept.
+as  incoming and outgoing edges of a given node. 
 
-The next important graph type concept is the undirected graph concept
-what is defined in the \ref lemon::concept::UGraph "UGraph" concept class.
-Each undirected graphs provide node - undirected edge list interfaces.
-In addition the undirected graphs can be used as directed graphs so
-they are also conform to the \ref lemon::concept::Graph "Graph" concept.
+Each graph should meet the \ref lemon::concept::Graph "Graph" concept.
+This concept does not make it possible to change the graph (i.e. it is
+not possible to add or delete edges or nodes). Most of the graph
+algorithms will run on these graphs.
 
-Usually the graphs can be sorted to two group, the first is the
-general topology graph types which can store any graph and the second
-are the special topology graphs like the \ref FullUGraph or the \ref
-GridUGraph.
 
+In case of graphs meeting the full feature
+\ref lemon::concept::ErasableGraph "ErasableGraph"
+concept
+you can also erase individual edges and nodes in arbitrary order.
+
+The implemented graph structures are the following.
 \li \ref lemon::ListGraph "ListGraph" is the most versatile graph class. It meets
 the \ref lemon::concept::ErasableGraph "ErasableGraph" concept
Index: lemon/Makefile.am
===================================================================
--- lemon/Makefile.am	(revision 2115)
+++ lemon/Makefile.am	(revision 2116)
@@ -44,7 +44,5 @@
 	lemon/floyd_warshall.h \
 	lemon/fredman_tarjan.h \
-	lemon/full_bpugraph.h \
 	lemon/full_graph.h \
-	lemon/full_ugraph.h \
 	lemon/graph_adaptor.h \
 	lemon/graph_reader.h \
@@ -59,7 +57,5 @@
 	lemon/lemon_reader.h \
 	lemon/lemon_writer.h \
-	lemon/list_bpugraph.h \
 	lemon/list_graph.h \
-	lemon/list_ugraph.h \
 	lemon/lp.h \
 	lemon/lp_base.h \
@@ -82,7 +78,5 @@
 	lemon/refptr.h \
 	lemon/simann.h \
-	lemon/smart_bpugraph.h \
 	lemon/smart_graph.h \
-	lemon/smart_ugraph.h \
 	lemon/sub_graph.h \
 	lemon/suurballe.h \
@@ -99,5 +93,4 @@
 	lemon/bits/array_map.h \
 	lemon/bits/base_extender.h \
-	lemon/bits/bpugraph_extender.h \
 	lemon/bits/default_map.h \
 	lemon/bits/edge_set_extender.h \
@@ -111,5 +104,4 @@
 	lemon/bits/mingw32_time.h \
 	lemon/bits/traits.h \
-	lemon/bits/ugraph_extender.h \
 	lemon/bits/utility.h \
 	lemon/bits/vector_map.h
